﻿using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace GridEditSample
{
	public partial class GridPage : ContentPage
	{
		public GridPage ()
		{
			InitializeComponent ();
        }

        private void DataGrid_CurrentCellEndEdit(object sender, GridCurrentCellEndEditEventArgs e)
        {
            TestTask(e);
        }

        private async Task TestTask(GridCurrentCellEndEditEventArgs e)
        {
            await Task.Delay(200);
            dataGrid.BeginEdit(e.RowColumnIndex.RowIndex + 1, e.RowColumnIndex.ColumnIndex);
        }
    }
}